Cyberduck Mountain Duck CLI

#5437 closed defect (fixed)

No files in directory

Reported by: patusovniak Owned by:
Priority: normal Milestone: 3.8
Component: ftp Version: 3.7
Severity: normal Keywords: no files, display
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Have a little bit strange thing. One FTP server holds all the files, and i see all the files in directory, but when I upload all that files to another server, on files there, but FileZilla see all files, and no problem. Realy strange.

Change History (4)

comment:1 Changed on Nov 16, 2010 at 3:08:07 PM by dkocher

Please post the transcript from View → Log Drawer.

comment:2 Changed on Nov 17, 2010 at 9:20:31 PM by patusovniak

This is LOG.

220 (vsFTPd 2.0.5)
FEAT
211-Features:
 EPRT
 EPSV
 MDTM
 PASV
 REST STREAM
 SIZE
 TVFS
211 End
USER ********
331 Please specify the password.
PASS ********
230 Login successful.
NOOP
200 NOOP ok.
CWD /htdocs
250 Directory successfully changed.
SYST
215 UNIX Type: L8
STAT /htdocs
213-Status follows:
drwxrwxr-x    2 3642     48           4096 Nov 15 22:04 .
drwxrwxr-x   10 3642     48           4096 Nov 17 21:11 ..
-rw-r--r--    1 3642     3643          106 Nov 15 22:20 index.html
-rw-r--r--    1 3642     3643           19 Nov 15 21:58 phpinfo.php
213 End of status
NOOP
200 NOOP ok.
CWD /
250 Directory successfully changed.
STAT /
213-Status follows:

And no files in directory. But another FTP clinets see all the files. Maybe this is because of FTP server software, because I can see directory files (the same files, Drupal CMS base) using Cyberduck in another FTP server.

comment:3 Changed on Nov 18, 2010 at 9:53:25 AM by dkocher

Added testcase in r7646. Cannot see any issue. Is it the root directory / that does not show any content? It should succeed if you switch to the latest beta build.

comment:4 Changed on Nov 18, 2010 at 9:54:22 AM by dkocher

  • Component changed from core to ftp
  • Milestone set to 4.0
  • Resolution set to fixed
  • Status changed from new to closed

Workaround in r7422 for STAT failures due to I/O timeouts.

Note: See TracTickets for help on using tickets.
swiss made software